Bug 113515 - Workflow notification alert settings missing in SectionInitializer in enterprise.init
Summary: Workflow notification alert settings missing in SectionInitializer in enterpr...
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Scott Seago
QA Contact: Jon Orris
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-01-14 21:02 UTC by Richard Su
Modified: 2007-04-18 17:01 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-05 17:34:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Richard Su 2004-01-14 21:02:40 UTC
Description of problem:

It appears that the following parameters are missing from the
SectionInitializer. Don't know if it was intentional.

  // When to generate email alerts: by default, generate email alerts
  // on enable, finish, and rollback (happens on rejection)
  // changes. There are four action types for each task type: enable,
  // disable, finish, and rollback. Note that the values below are
  // based on the task labels, and as such are not globalized.
 taskAlerts = {
      { "Authoring",
        { "enable", "finish", "rollback" }
      },
      { "Approval",
        { "enable", "finish", "rollback" }
      },
      { "Deploy",
        { "enable", "finish", "rollback" }
      }
  };

  // Parameters controlling Overdue Task alerts:

  // sendOverdueAlerts: Should we send alerts about overdue tasks at
  //                    all?
  // taskDuration:   The time between when a task is enabled (it is made
  //                 available for completion) and when it is
  //                 considered overdue (in HOURS)
  // alertInterval:  The time to wait between sending successive
alerts on the same
  //                 overdue task (in HOURS)
  // maxAlerts:      The maximum number of alerts to send about any one
  //                 overdue task
  sendOverdueAlerts = false;
  taskDuration = 96;
  alertInterval = 24;
  maxAlerts = 5;

Comment 1 Scott Seago 2004-01-17 02:08:45 UTC
I just fixed this on the aplaws-ws3 branch today. It will land next week.

Comment 2 David Lawrence 2006-07-18 03:30:05 UTC
QA_READY has been deprecated in favor of ON_QA. Please use ON_QA in the future.
Moving to ON_QA.

Comment 3 Jon Orris 2006-09-05 17:34:11 UTC
Closing old tickets





Note You need to log in before you can comment on or make changes to this bug.